\subsection{Cuda (1 GPU)}\label{sec:results-cuda-1gpu}

\subsubsection{Πρόγραμμα}
\paragraph{Χρόνοι εκτέλεσης}

\begin{table}[H]
  \caption{Χρόνοι εκτέλεσης προβλήματος για 1 GPU
    (δευτερόλεπτα)}\label{table:results-mpi-seq-opt}  
  \centering
  \begin{tabular}{c c c}
    \toprule
    \multicolumn{3}{c}{\textbf{Χρόνοι εκτέλεσης (s)}}\\
    \midrule
    Prob.\ size & 1 GPU \\
    \midrule
$840\times 840$     & 0.046\\
$1680\times 1680$   & 0.169\\
$3360\times 3360$   & 0.589\\
$6720\times 6720$   & 2.015\\
$13440\times 13440$ & 7.755\\    

  \end{tabular}  
\end{table}
\subsubsection{Σχόλια}
Σχόλια και σύγκριση θα βρείτε στην
Παράγραφο~\ref{sec:results-cuda-2gpus}. 